Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9454

Department: CARMEQ Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

In adtf-3.3.0-win7_x64_vc140\\pkg\\a_utils\\include\\a_utils\\std\tagged_ptr.h:

wird ein Standard-Header innerhalb eines Namespaces inkludiert.

namespace A_UTILS_NS

{

#ifdef WIN32

    #include <intrin.h>

...

#endif

 Dadurch wird u.a. die Funktion _ReturnAdress() "versteckt". Und ein erneutes Inkludieren ohne Namespace verhindert eine

Include-Guard.

Bitte namespace und include tauschen:

#ifdef WIN32

...

    #include <intrin.h>

...

#endif

namespace A_UTILS_NS

{

 PS: Mit dem Fix kann man dann auch ADTF3-Filter mit dem VisualStudio 2017 kompilieren. (Auch wenn der Compiler offiziel nicht

unterstüzt wird.)

Lösung

ACORE-9454 angelegt

History

#1 - 2018-04-18 09:19 - hidden

- Topic set to ADTF::Common

#2 - 2018-04-23 08:25 - hidden

- Status changed from New to In Progress

Das hatten wir doch schon mal, Mist. Workaround ist dass man #include <intrin.h> einmal vor den ADTF headern macht, dann verhindert der

Include-Guard weiteres. Hab dafür Ticket ACORE-9454 erstellt.

#3 - 2018-04-23 08:35 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9454

- Support Level changed from 2nd Level to 3rd Level

#4 - 2018-04-26 10:21 - hidden

- Subject changed from Standard-include im namespace to Standard-include syntax error

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2018-05-22 08:18 - hidden

- Project changed from 20 to Public Support

- Private changed from Yes to No

#6 - 2018-05-23 14:07 - hidden

- Status changed from To Be Closed to Closed
